Package com.independentsoft.office.odf.charts

# Class Axis

java.lang.Object
com.independentsoft.office.odf.charts.Axis

All Implemented Interfaces:
  `IContentElement`

public class Axis extends Object implements IContentElement
Represents an axis for a chart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Axis()`
  Initializes a new instance of the Axis class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Axis`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Dimension`
  `getDimension()`
  Gets the dimension in a coordinate system.
  `List<Grid>`
  `getGrids()`
  Gets a collection of grids.
  `String`
  `getName()`
  Gets the name of the axis.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  References a chart style by its name.
  `Title`
  `getTitle()`
  Gets the title from a chart document.
  `void`
  `setDimension​(Dimension dimension)`
  Sets a dimension in a coordinate system.
  `void`
  `setName​(String name)`
  Sets the name of the axis.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  References a chart style by its name.
  `void`
  `setTitle​(Title title)`
  Sets the title in a chart document.
  `String`
  `toString()`
  Converts the value of the current Axis object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Axis

    public Axis()
    Initializes a new instance of the Axis class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Axis clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Axis object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getDimension

    public Dimension getDimension()
    Gets the dimension in a coordinate system. The defined values are: - x: dimension represented by the x-axis of a chart. - y: dimension represented by the y-axis of a chart. - z: dimension represented by the z-axis of a chart.
    Returns:
      the dimension

  - ### setDimension

    public void setDimension​(Dimension dimension)
    Sets a dimension in a coordinate system. The defined values are: - x: dimension represented by the x-axis of a chart. - y: dimension represented by the y-axis of a chart. - z: dimension represented by the z-axis of a chart.
    Parameters:
      `dimension` - the new dimension

  - ### getStyle

    public String getStyle()
    References a chart style by its name.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    References a chart style by its name.
    Parameters:
      `style` - the new style

  - ### getName

    public String getName()
    Gets the name of the axis.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of the axis.
    Parameters:
      `name` - the new name

  - ### getGrids

    public List<Grid> getGrids()
    Gets a collection of grids.
    Returns:
      the grids

  - ### getTitle

    public Title getTitle()
    Gets the title from a chart document.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(Title title)
    Sets the title in a chart document.
    Parameters:
      `title` - the new title